Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Web.UI
Imports DevExpress.ExpressApp.Templates
Imports DevExpress.ExpressApp.Web
Imports DevExpress.ExpressApp.Web.Templates
Imports DevExpress.ExpressApp.Web.Templates.ActionContainers

Partial Public Class [Default]
    Inherits BaseXafPage

    Shared Sub New()
        WebWindowTemplateHttpHandler.CurrentRequestTemplateType = TemplateType.Vertical
    End Sub

    Protected Overrides Function CreateContextActionsMenu() As ContextActionsMenu
        Return New ContextActionsMenu(Me, "Edit", "RecordEdit", "ObjectsCreation", "ListView", "Reports")
    End Function

    Protected Sub Page_Init()
        AddHandler CustomizeTemplateContent, _
            Sub(sender As Object, e As CustomizeTemplateContentEventArgs)
                Dim _content As DefaultVerticalTemplateContent = TryCast(e.TemplateContent, DefaultVerticalTemplateContent)
                If _content IsNot Nothing Then
                    _content.HeaderImageControl.DefaultThemeImageLocation = "Images"
                    _content.HeaderImageControl.ImageName = "Logo.png"
                End If
            End Sub
    End Sub

    Public Overrides ReadOnly Property InnerContentPlaceHolder() As Control
        Get
            Return Content
        End Get
    End Property
End Class
